# Interface DynamicMapLayerJson

A dynamic map layer refers to a layer in the current map service. More information on this can be found in the ArcGIS REST API help. See https://developers.arcgis.com/web-map-specification/objects/dynamicMapLayer_source/ https://developers.arcgis.com/web-scene-specification/objects/dynamicMapLayer_source/.

interface DynamicMapLayerJson {
gdbVersion?: string;
mapLayerId?: number;
type: "mapLayer";
}

#####
Index

### Properties

gdbVersion?
mapLayerId?
type

##
Properties

### `Optional` gdbVersion

gdbVersion?: string

If applicable, specify this to use an alternate geodatabase version.

### `Optional` mapLayerId

mapLayerId?: number

The current map layer's ID.

### type

type

A string value indicating the type. This value is mapLayer.